cgtpc
c     program nakresli ...
      dimension x(999),y(999),pa(2),pab(2),x1(2),y1(2)
      character latex*69,ake*20,latexp*69(77),akep(77)
      data pa/0.12,0.12/,pab/.02,.08/
      open(11,file='e:\a\obr.gpv',form='unformatted')
      ake='\small\sf '
      ipo=2
      ciar=.2
      cx=.0
      cy=.2
      call begpic(11,10,3)
      xsc=0.7
      ysc=xsc
      call scale(xsc,ysc)
      
      call move(-4. ,y(1))
      call linecap(1)
      
      call setgray(0.77)
      call pselip(0.,0.,4.3,3.2 ,0., 20., 40.)
      call line(-1.3,0.)
      call ps('fill #')
      call pselip( 0.,0.,4.3,3.2 ,0.,140.,160.)
      call line(-1.3,0.)
      call ps('fill #')
      call setgray(0.)
      call pentyp(27)
      call pselip(0.,0.,4.3,3.2 ,0.,0.,360.)
      call pentyp(11)
      call sipuf(-1.3,0.0,233., 2.48,0.022,0.19,0.16,0.04,xsc,ysc)
      call pscircs(-1.3,0.,1.1,180.,233.,0.22,0.17,0.04,xsc,ysc)
      call pentyp(100)
      call moli(-1.3,0.,-1.3,0.)
      call moli( 1.3,0., 1.3,0.)
      call pentyp(11)
      call moli(-3.7, 0. , 3.5, 0. )
      call moli( 0.0,-2.6, 0.0, 2.6)
      
      latex='\small $\vartheta$        '
      call latext(-1.70, -0.25*ysc,'r',latex)
      latex='\small $\Pi\equiv A$       '
      call latext(-3.05, -0.20*ysc,'r',latex)
      latex='\small $F_1\equiv S$           '
      call latext(-1.30, -0.25*ysc,'l',latex)
      latex='\small $F_2        $           '
      call latext( 1.30, -0.25*ysc,'l',latex)
      latex='\small $P_1        $           '
      call latext(-2.20,  0.75    ,'l',latex)
      latex='\small $P_2        $           '
      call latext( 1.60,  0.85    ,'l',latex)
      
      
      latex='\small $D          $           '
      call latext(  .05,  2.50,'l',latex)
      latex='\small $E          $           '
      call latext(  .05, -2.50,'l',latex)
      latex='\small $C          $           '
      call latext(  .05, -0.20*ysc,'l',latex)
      latex='\small $B          $           '
      call latext( 3.05, -0.20*ysc,'l',latex)
      
      latex='\small $\overline{AC}=a$       '
      call latext( 3.95,  1.00*ysc,'l',latex)
      latex='\small $\overline{EC}=b$       '
      call latext( 3.95,   .00*ysc,'l',latex)
      latex='\small $e=\displaystyle{F_1C\over a} $'
      call latext( 3.95, -1.00*ysc,'l',latex)
      call eopic
      stop
      end
      
      
      
      subroutine profil(x,y,n)
      dimension x(1),y(1),xi(800),yi(800),xp(99),yp(99)
      ik=0
      m=10
      ni=n*m
  701 xx=(x(n)-x(1))/ni
      do 5 j5=1,ni
      xi(j5)=x(1)+float(j5-1)*xx
    5 continue
      xi(ni)=x(n)
      call intrpl(n,x,y,ni,xi,yi,12)
      call setgray(.84)
      do 3 j=1,ni
      if(xi(j).gt.-6.4.and.xi(j).lt. 1.8.or.
     *xi(j).gt. 2.2.and.xi(j).lt. 8.3)then
      call moli(xi(j),1.5,xi(j),yi(j))
      endif
    3 continue
      call setgray(0.)
      call polyg(xi,yi,ni,-10.,20.,-10.,10.,0,pa)
      return
      end
      
      
      subroutine elipsa(r,xx,yy,xmi,xma,ymi,yma,dc,dm,xsc,ysc)
      dimension x(500),y(500),pa(2)
      pa(1)=dc
      pa(2)=dm
      n=365
      if(dc.eq.0)n=380
      pi=3.14159265359
      pir=pi*r*2*10
      is=365/pir
      if(is.lt.1)is=1
      nn=n/is
      pk=1.74532925e-2
      ij=0
      do 1 j=1,n,is
      ij=ij+1
      s=j*pk
      x(ij)=r*cos(s)+xx
      y(ij)=(r*sin(s)+yy)*0.75
    1 continue
      ik=1
      if(dc.eq.0)ik=0
      
      call pentyp(66)
      call setgray(0.84)
      do 4 j=1,n
      if((x(j).gt.2.35.and.x(j).lt.2.8.and.y(j).gt.0).or.
     *   (x(j).gt.-2.8.and.x(j).lt.-2.0.and.y(j).gt.0))then
      call moli(-1.3,0.,x(j),y(j))
      endif
    4 continue
      
      call pentyp(33)
      call setgray(0.)
      call polyg(x,y,nn,xmi,xma,ymi,yma,ik,pa)
      return
      end
c   18   37    9  134   31    1  301    5  702   31   31   31   31   31
